# class KHTMLRun |
Definition | `#include <khtml_run.h>`
Inherits | KRun (kio) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KHTMLRun ( KHTMLPart *part, khtml::ChildFrame *child, const KURL &url, const KParts::URLArgs &args )
- virtual void foundMimeType ( const QString &mimetype )
- KHTMLPart * part () const
- KParts::URLArgs urlArgs () const

#### Protected Methods

- virtual void scanFile ()
- bool allowExecution ( const QString &serviceType, const KURL &url )
- bool isExecutable ( const QString &serviceType )
- bool askSave ( const KURL & url, KService::Ptr offer )

#### Protected Slots

- void slotKHTMLScanFinished (KIO::Job *job)
- void slotKHTMLMimetype (KIO::Job *job, const QString &type)

## Detailed Description

KHTMLRun ( KHTMLPart *part, khtml::ChildFrame *child, const KURL &url, const KParts::URLArgs &args ) | ### KHTMLRun

void foundMimeType ( const QString &mimetype ) | ### foundMimeType

[virtual]

Reimplemented from KRun.

KHTMLPart * part () | ### part

[const]

KParts::URLArgs urlArgs () | ### urlArgs

[const]

void scanFile () | ### scanFile

[protected virtual]

Reimplemented from KRun.

bool allowExecution ( const QString &serviceType, const KURL &url ) | ### allowExecution

[protected]

bool isExecutable ( const QString &serviceType ) | ### isExecutable

[protected]

bool askSave ( const KURL & url, KService::Ptr offer ) | ### askSave

[protected]

void slotKHTMLScanFinished (KIO::Job *job) | ### slotKHTMLScanFinished

[protected slots slot]

void slotKHTMLMimetype (KIO::Job *job, const QString &type) | ### slotKHTMLMimetype

[protected slots slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:44:28 2001, using kdoc 2.0a53.